
// OtheroView.h : COtheroView クラスのインターフェイス
//

#pragma once


class COtheroView : public CView
{
protected: // シリアル化からのみ作成します。
	COtheroView();
	DECLARE_DYNCREATE(COtheroView)

// 属性
public:
	COtheroDoc* GetDocument() const;

// 操作
public:

// オーバーライド
public:
	virtual void OnDraw(CDC* pDC);  // このビューを描画するためにオーバーライドされます。
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:

// 実装
public:
	virtual ~COtheroView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// 生成された、メッセージ割り当て関数
protected:
	afx_msg void OnFilePrintPreview();
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // OtheroView.cpp のデバッグ バージョン
inline COtheroDoc* COtheroView::GetDocument() const
   { return reinterpret_cast<COtheroDoc*>(m_pDocument); }
#endif

